package com.loafle.overflow.model.meta;

import javax.persistence.*;
import java.util.Date;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "META_INFRA_TYPE", schema = "public")
public class MetaInfraType {
    private int id;
    private String name;
    private Date createDate;

    @Id
    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }


    @Column(name = "NAME", nullable = true, length = 50)
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name = "CREATE_DATE", nullable = false)
    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

}
