package com.loafle.overflow.service.central.probe;

import java.util.List;

import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.domain.Domain;
import com.loafle.overflow.model.probe.Probe;
import com.loafle.overflow.model.probe.ProbeHost;

/**
 * Created by snoop on 17. 8. 21.
 */
public interface ProbeHostService {
    ProbeHost read(long id) throws OverflowException;
    ProbeHost readByProbe(Probe probe) throws OverflowException;
    ProbeHost regist(ProbeHost probeHost) throws OverflowException;
    List<ProbeHost> readAllByDomain(Domain domain) throws OverflowException;
}
