package com.loafle.overflow.service.central.sensor;

import com.loafle.overflow.core.annotation.WebappAPI;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaSensorDisplayItem;
import com.loafle.overflow.model.meta.MetaSensorItemKey;
import com.loafle.overflow.model.sensor.SensorItemDependency;

import java.util.List;
import java.util.Map;

/**
 * Created by insanity on 17. 9. 20.
 */

public interface SensorItemDependencyService {
    @WebappAPI
    SensorItemDependency regist(SensorItemDependency dependency) throws OverflowException;
    @WebappAPI
    List<MetaSensorItemKey> readAllByDisplayItem(MetaSensorDisplayItem displayItem) throws OverflowException;
    @WebappAPI
    Map<String, List<MetaSensorItemKey>> readAllByDisplayItems(List<MetaSensorDisplayItem> displayItems) throws OverflowException;

}
